Pix ProcessamentoPix Processamento Docs
API EndpointsReports

List statement

GET
/user/bank-statements

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

createdAtFrom*string

Start date (required).

Formatdate-time
createdAtTo*string

End date (required).

Formatdate-time
id?string
operation?string
Value in"INCREMENT" | "DECREMENT"
reason?string
transactionId?string
amountFrom?number
amountTo?number
page?integer
Default1
Range1 <= value
limit?integer
Default10
Range1 <= value <= 100
sortBy?string
Default"createdAt"
Value in"createdAt" | "amount"
sortDirection?string
Default"desc"
Value in"asc" | "desc"

Response Body

application/json

curl --request GET \  --url 'https://api.exemplo.processamento.com/v1/user/bank-statements?createdAtFrom=2026-08-01T00%3A00%3A00Z&createdAtTo=2026-08-01T00%3A00%3A00Z' \  --header 'Authorization: Bearer $PIX_TOKEN'
{
  "pagination": {
    "page": 1,
    "limit": 10,
    "hasNextPage": true
  },
  "bankStatements": [
    {
      "id": "bs_1",
      "amount": 100,
      "operation": "INCREMENT",
      "reason": "PIX_DEPOSIT",
      "balanceType": "AVAILABLE",
      "previousBalanceAvailable": 400,
      "previousBalanceBlocked": 0,
      "newBalanceAvailable": 500,
      "newBalanceBlocked": 0,
      "transactionId": "PIX2025...",
      "infractionId": null,
      "createdAt": "2026-08-10T12:00:00.000Z",
      "updatedAt": "2026-08-10T12:00:00.000Z"
    }
  ]
}